package u3a2.util;

import java.util.Random;

/**
 * Creates random Strings out of a predefined alphabet. Source:
 * https://github.com
 * /kontalk/certgen/blob/master/src/org/kontalk/certgen/RandomString.java
 */
public class RandomString {

	private static final char[] symbols;

	static {
		StringBuffer tmp = new StringBuffer();
		for (char ch = '0'; ch <= '9'; ++ch)
			tmp.append(ch);
		for (char ch = 'a'; ch <= 'z'; ++ch)
			tmp.append(ch);
		symbols = tmp.toString().toCharArray();
	}

	private final Random random = new Random();

	private final char[] buf;

	public RandomString(int length) {
		if (length < 1)
			throw new IllegalArgumentException("length < 1: " + length);
		buf = new char[length];
	}

	public String nextString() {
		for (int idx = 0; idx < buf.length; ++idx)
			buf[idx] = symbols[random.nextInt(symbols.length)];
		return new String(buf);
	}
}